"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.format = exports.lspFormattingOptionsToJsBeautifyOptions = void 0;
const code_formatter_1 = require("@stylable/code-formatter");
const vscode_languageserver_textdocument_1 = require("vscode-languageserver-textdocument");
function lspFormattingOptionsToJsBeautifyOptions(options) {
    return {
        indent_size: options.tabSize,
        indent_with_tabs: !options.insertSpaces,
        max_preserve_newlines: options.trimFinalNewlines ? 1 : undefined,
        end_with_newline: options.insertFinalNewline,
    };
}
exports.lspFormattingOptionsToJsBeautifyOptions = lspFormattingOptionsToJsBeautifyOptions;
function format(srcText, offset, options) {
    const doc = vscode_languageserver_textdocument_1.TextDocument.create('', 'stylable', 1, srcText);
    const range = { start: doc.positionAt(offset.start), end: doc.positionAt(offset.end) };
    const newText = code_formatter_1.getDocumentFormatting(srcText, offset, lspFormattingOptionsToJsBeautifyOptions(options));
    return srcText === newText
        ? []
        : [
            {
                newText,
                range,
            },
        ];
}
exports.format = format;
//# sourceMappingURL=formatting.js.map